#ifndef GUIPERTINENCY_H
#define GUIPERTINENCY_H
#include "ui_mainwindow.h"

class GUIpertinency {
public:
  GUIpertinency(Ui_MainWindow *ui);

  void onConnectionChange(bool stat);
  void onContinuosTransChange(bool stat);
  void onScaleChange();

  void enableAEC(bool stat);
  void enableAGC(bool stat);
  void enableHDR(bool stat);
  void enableROI(bool stat);
  void enableBrightness(bool stat);
  void enableExposure(bool stat);
  void enableGain(bool stat);
  void enableBinning(bool stat);
  void enableFlip(bool stat);
  void enableTest(bool stat);

private:
  Ui_MainWindow *ui;
};

#endif // GUIPERTINENCY_H
